Discussion:
Cygwin: Problems running scripts depending on Perl, though Perl is installed (via Cygwin pkg mngr)
Add Reply
Alexander Grahn
2018-11-02 14:25:07 UTC
Reply
Permalink
Ken Brown
2018-11-02 16:50:25 UTC
Reply
Permalink
Good afternoon,
I don't seem able to run scripts that depend on Perl in TeXLive-2018
for Cygwin. (I installed vanilla TeXLive-2018 separately.)
What am I doing wrong?
Kind regards.
$ ./install-tl --print-arch
/usr/bin/env: ‘perl’: No such file or directory
$ perl -v
This is perl 5, version 26, subversion 2 (v5.26.2) built for x86_64-cygwin-threads-multi
Sorry, but I can't reproduce that on my 64-bit Cygwin system:

/tmp/install-tl-20181102
$ ./install-tl --print-arch
x86_64-cygwin

/tmp/install-tl-20181102
$ perl -v

This is perl 5, version 26, subversion 2 (v5.26.2) built for
x86_64-cygwin-threads-multi

Ken
Ken Brown
2018-11-02 17:03:35 UTC
Reply
Permalink
Post by Ken Brown
Good afternoon,
I don't seem able to run scripts that depend on Perl in TeXLive-2018
for Cygwin. (I installed vanilla TeXLive-2018 separately.)
What am I doing wrong?
Kind regards.
   $ ./install-tl --print-arch
   /usr/bin/env: ‘perl’: No such file or directory
   $ perl -v
   This is perl 5, version 26, subversion 2 (v5.26.2) built for
x86_64-cygwin-threads-multi
/tmp/install-tl-20181102
$ ./install-tl --print-arch
x86_64-cygwin
/tmp/install-tl-20181102
$ perl -v
This is perl 5, version 26, subversion 2 (v5.26.2) built for
x86_64-cygwin-threads-multi
Ken
Are you by any chance working in an MSYS environment, so that /usr/bin/env is
not Cygwin's /usr/bin/env?

Ken

Loading...